Not able to open any NVIDIA Assets on the Omniverse Create or Isaac Sim Apps

Hi everyone,
I am setting up the Ubuntu 20.04 Workstation for running Omniverse workloads. So, for that after installation of NVIDIA Driver, Omniverse Launcher, and Client Apps, I am facing an issue with opening NVIDIA Assets on the Create and Isaac Sim applications. I am getting the following Warnings and Errors on the Console:

2022-11-09 14:44:17  [Warning] [omni.ext.plugin] [ext: omni.isaac.onshape-0.3.20+103.1.cp37] Built using kit version: 103.1. Current kit version: 103.5. It is considered compatible, but building with a newer kit version is recommended.
2022-11-09 14:44:17  [Warning] [omni.ext.plugin] [ext: omni.kit.xr.common-103.1.7+103.1.cp37] Built using kit version: 103.1. Current kit version: 103.5. It is considered compatible, but building with a newer kit version is recommended.
2022-11-09 14:44:17  [Warning] [omni.ext.plugin] [ext: omni.kit.xr.system.simulatedxr-103.1.6+103.1.lx64.r.cp37] Built using kit version: 103.1. Current kit version: 103.5. It is considered compatible, but building with a newer kit version is recommended.
2022-11-09 14:44:17  [Warning] [omni.ext.plugin] [ext: omni.kit.xr.system.cloudxr21-103.1.7+103.1.lx64.r.cp37] Built using kit version: 103.1. Current kit version: 103.5. It is considered compatible, but building with a newer kit version is recommended.
2022-11-09 14:44:17  [Warning] [omni.ext.plugin] [ext: omni.kit.xr.core-103.1.8+103.1.lx64.r.cp37] Built using kit version: 103.1. Current kit version: 103.5. It is considered compatible, but building with a newer kit version is recommended.
2022-11-09 14:44:17  [Warning] [omni.ext.plugin] [ext: omni.kit.xr.system.playback-103.1.7+103.1.lx64.r.cp37] Built using kit version: 103.1. Current kit version: 103.5. It is considered compatible, but building with a newer kit version is recommended.
2022-11-09 14:44:17  [Warning] [omni.ext.plugin] [ext: omni.kit.xr.profile.tabletar-103.1.5+103.1.cp37] Built using kit version: 103.1. Current kit version: 103.5. It is considered compatible, but building with a newer kit version is recommended.
2022-11-09 14:44:17  [Warning] [carb] FrameworkImpl::setDefaultPlugin(client: omni.gpu_foundation_factory.plugin, desc : [carb::graphics::Graphics v2.5], plugin : carb.graphics-vulkan.plugin) failed. Plugin selection is locked, because the interface was previously acquired by: 
2022-11-09 14:44:17  [Warning] [gpu.foundation.plugin] Disabling OpenGL Interop. Device 0 mismatched with OpenGL device: Mesa Intel(R) Graphics (ADL GT2).
2022-11-09 14:44:17  [Warning] [gpu.foundation.plugin] OpenGL can only run on the main GPU. It requires the app to run with activeDevice setting set to that GPU. On laptops, you may also need to specify which GPU or driver to run on in your system (Integrated or Discrete).
2022-11-09 14:44:17  [Warning] [gpu.foundation.plugin] Realm: no OpenGL interop context.
2022-11-09 14:44:17  [Warning] [carb.cudainterop.plugin] On Linux only, CUDA and the display driver does not support IOMMU-enabled bare-metal PCIe peer to peer memory copy.
2022-11-09 14:44:17  [Warning] [carb.cudainterop.plugin] However, CUDA and the display driver does support IOMMU via VM pass through. As a consequence, users on Linux,
2022-11-09 14:44:17  [Warning] [carb.cudainterop.plugin] when running on a native bare metal system, should disable the IOMMU. The IOMMU should be enabled and the VFIO driver
2022-11-09 14:44:17  [Warning] [carb.cudainterop.plugin] be used as a PCIe pass through for virtual machines.
2022-11-09 14:44:17  [Error] [omni.hydra.pxr] Cannot use omni.hydra.pxr without OpenGL interop
2022-11-09 14:44:17  [Warning] [omni.kit.ui.editor_menu] set_value menu Window/Viewport not found
2022-11-09 14:44:17  [Warning] [omni.kit.viewport.window.dragdrop.legacy] pickable argument to create_drop_helper is deprecated, use on_pick_fn
2022-11-09 14:44:17  [Warning] [omni.physx.plugin] Deprecated: getSimulationEventStream is deprecated, please use getSimulationEventStreamV2
2022-11-09 14:44:19  [Warning] [omni.ui] VectorImageProvider: request for rasterization with zero width: '/home/jay/.local/share/ov/pkg/deps/8d41671562827ef6601e581c051e1f81/extscore/omni.kit.viewport.menubar.render/data/icons/viewport_renderer.svg'
2022-11-09 14:45:16  [Warning] [omni.client.plugin]  Tick: authentication: Discovery(ws://localhost/omni/discovery): Error creating Auth/Credentials search: Not connected
2022-11-09 14:45:16  [Warning] [omni.client.plugin]  Tick: authentication: Discovery(ws://localhost/omni/discovery): Error creating Auth/Tokens search: Not connected
2022-11-09 14:45:16  [Warning] [omni.client.plugin]  Tick: authentication: Discovery(ws://localhost/omni/discovery): Error creating Api/Connection search: Not connected
2022-11-09 14:45:24  [Warning] [omni.kit.widget.versioning.checkpoints_model] Failed to get checkpoints for omniverse://localhost/NVIDIA/Samples/Flight/Flight.usd: Result.ERROR_NOT_SUPPORTED
2022-11-09 14:45:59  [Warning] [omni.client.plugin]  Tick: provider_nucleus: CC-493: Request through cache failed. Retrying without cache for omni1ReadAssetVersion(omniverse://localhost/NVIDIA/Samples/Flight/Flight.usd): INTERNAL_ERROR
2022-11-09 14:45:59  [Warning] [omni.client.plugin]  Tick: provider_nucleus: Failed result for omni1ReadAssetVersion(omniverse://localhost/NVIDIA/Samples/Flight/Flight.usd): INTERNAL_ERROR
2022-11-09 14:45:59  [Error] [omni.usd] Failed to open : omniverse://localhost/NVIDIA/Samples/Flight/Flight.usd
2022-11-09 14:45:59  [Error] [omni.kit.window.file.scripts.file_window] Failed to open stage omniverse://localhost/NVIDIA/Samples/Flight/Flight.usd: Failed to open:omniverse://localhost/NVIDIA/Samples/Flight/Flight.usd

And please find below the full logs file:
create-logs.txt (907.5 KB)

Also, on running Isaac Sim in Terminal, I tried running the command ./python.sh standalone_examples/replicator/offline_generation.py. I am getting the following error:

2022-11-09 09:02:08 [10,975ms] [Error] [omni.graph.core.plugin] Assertion raised in compute - Accessed invalid null prim
  File "/home/jay/.local/share/ov/pkg/isaac_sim-2022.1.1/exts/omni.replicator.core-1.4.3+lx64.r.cp37/omni/replicator/core/ogn/python/_impl/nodes/OgnLookAt.py", line 31, in compute
    target_prim_paths = utils.get_node_targets(db.node, "inputs:targetPrim")
  File "/home/jay/.local/share/ov/pkg/isaac_sim-2022.1.1/exts/omni.replicator.core-1.4.3+lx64.r.cp37/omni/replicator/core/scripts/utils/utils.py", line 612, in get_node_targets
    if len(prim_paths) == 1 and stage.GetPrimAtPath(prim_paths[0]).GetTypeName() == "Output":

2022-11-09 09:02:09 [12,206ms] [Error] [carb.flatcache.plugin] removePath called on non-existent path /__OgnSdgInstanceMappingCache__ 

System specifications:

  • OS: Ubuntu 20.04 Desktop
  • Processor: Intel Core i9 12th Gen
  • GPU: NVIDIA RTX 3070 Ti
  • NVIDIA Driver: 515.65.01
  • vRAM: 8 GB
  • Memory: 32 GB
1 Like

@WendyGram Can you help us in directing this to the concerned person or team for the support on this issue.